@import "../../../../scss/variables";
@import "../../../../../node_modules/bulma/sass/utilities/_all";

.details-header {
  padding: 0 1.25rem 0 1.25rem;
  height: 131px;

  @media screen and (max-width: $tablet) {
    height: auto;
  }
}

.dataset-detail-container {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.details-container {
  height: 100%;
  flex: 1;
}

svg.tab-icon {
  margin: 0 0.625rem 0 0.625rem;
  width: 2.25rem;
  height: 2.25rem;
  align-self: center;
  @media screen and (max-width: $tablet) {
    width: 1.8rem;
  height: 1.8rem;
  }

  .primary {
    fill: $grey-dark-color;
  }

  .secondary {
    fill: $grey-dark-color;
  }
}

.tab-title {
  font-size: 1rem;
  white-space: nowrap;
  @media screen and (max-width: $tablet) {
    font-size: 0.9rem;
  }
}

.tabulations {
  height: 79px;

  @media screen and (min-width: $desktop) {
    height: 63px;
  }
}

ul.navigation-tabs {
  border-bottom: 1px solid $grey-super-light-color;
  display: flex;
  height: 100%;

  li {
    margin-bottom: -1px;
    width: 25%;
    display: inline-block;
    position: relative;

    a {
      text-decoration: none;
      display: flex;
      align-items: center;
      color: unset;
      justify-content: flex-start;
      padding: 0.75rem 0 0.75rem 0;
      height: 100%;
      // margin-bottom: 1px;
    }

    a::after {
      content: '';
      display: block;
      height: 3px;
      background: $tomato-color;
      width: 0;
      position: absolute;
      bottom: 0;
    }
  }

  li:first-of-type {
    a {
      margin-left: 1.25rem;
    }
  }

  li:last-of-type {
    a {
      margin-right: 1.25rem;
    }
  }

  li:hover {
    .tab-title {
      font-weight: 600;
    }
  }

  li.is-active {
    a {
      .tab-title {
        color: $tomato-color;
        font-weight: 600;
      }

      svg.tab-icon {
        flex-shrink: 0;
        .secondary {
          fill: $tomato-color;
        }
      }
    }

    a::after {
      transition: width 0.3s;
      width: 100%;
    }

    &:first-of-type,
    &:last-of-type {
      a::after {
        transition: width 0.3s;
        width: calc(100% - 1.25rem);
      }
    }
  }
}

.tab-subtitle {
  font-size: 0.75rem;
  color: $grey-dark-color;
  white-space: nowrap;
}

.tab-title-short {
  display: none;
}

// Making sur text inside the tab never goes outside of the tab
@media (min-width: $desktop) {
  .tab-text-wrapper {
    // ~Width of the text wrapper = width of the tab
    max-width: calc(100% - 2.25rem - 1.25rem);
  
    div {
      text-overflow: ellipsis;
      overflow: hidden;
    }
  }
}

@media (max-width: $desktop) {
  ul.navigation-tabs {
    li {
      a {
        flex-flow: column;
        align-items: center;
        justify-content: center;
        text-align: center;

        .tab-subtitle {
          display: none;
        }
      }
    }
  }
}

@media (max-width: $tablet) {
  .tab-title-short {
    display: inline;
  }

  .tab-title-long {
    display: none;
  }
}

.blury {
  filter: blur(2px);
  pointer-events: none;
}
